diff options
Diffstat (limited to 'configure')
-rwxr-xr-x | configure | 142 |
1 files changed, 139 insertions, 3 deletions
@@ -203,7 +203,7 @@ if as_func_ret_failure; then | |||
203 | echo as_func_ret_failure succeeded. | 203 | echo as_func_ret_failure succeeded. |
204 | fi | 204 | fi |
205 | 205 | ||
206 | if (set x; as_func_ret_success y && test x = \"\$1\" ); then | 206 | if ( set x; as_func_ret_success y && test x = \"\$1\" ); then |
207 | : | 207 | : |
208 | else | 208 | else |
209 | exitcode=1 | 209 | exitcode=1 |
@@ -407,7 +407,7 @@ if as_func_ret_failure; then | |||
407 | echo as_func_ret_failure succeeded. | 407 | echo as_func_ret_failure succeeded. |
408 | fi | 408 | fi |
409 | 409 | ||
410 | if (set x; as_func_ret_success y && test x = \"\$1\" ); then | 410 | if ( set x; as_func_ret_success y && test x = \"\$1\" ); then |
411 | : | 411 | : |
412 | else | 412 | else |
413 | exitcode=1 | 413 | exitcode=1 |
@@ -7113,7 +7113,118 @@ cat >>confdefs.h <<\_ACEOF | |||
7113 | #define SSH_TUN_PREPEND_AF 1 | 7113 | #define SSH_TUN_PREPEND_AF 1 |
7114 | _ACEOF | 7114 | _ACEOF |
7115 | 7115 | ||
7116 | ;; | 7116 | { echo "$as_me:$LINENO: checking if we have the Security Authorization Session API" >&5 |
7117 | echo $ECHO_N "checking if we have the Security Authorization Session API... $ECHO_C" >&6; } | ||
7118 | cat >conftest.$ac_ext <<_ACEOF | ||
7119 | /* confdefs.h. */ | ||
7120 | _ACEOF | ||
7121 | cat confdefs.h >>conftest.$ac_ext | ||
7122 | cat >>conftest.$ac_ext <<_ACEOF | ||
7123 | /* end confdefs.h. */ | ||
7124 | #include <Security/AuthSession.h> | ||
7125 | int | ||
7126 | main () | ||
7127 | { | ||
7128 | SessionCreate(0, 0); | ||
7129 | ; | ||
7130 | return 0; | ||
7131 | } | ||
7132 | _ACEOF | ||
7133 | rm -f conftest.$ac_objext | ||
7134 | if { (ac_try="$ac_compile" | ||
7135 | case "(($ac_try" in | ||
7136 | *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; | ||
7137 | *) ac_try_echo=$ac_try;; | ||
7138 | esac | ||
7139 | eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 | ||
7140 | (eval "$ac_compile") 2>conftest.er1 | ||
7141 | ac_status=$? | ||
7142 | grep -v '^ *+' conftest.er1 >conftest.err | ||
7143 | rm -f conftest.er1 | ||
7144 | cat conftest.err >&5 | ||
7145 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
7146 | (exit $ac_status); } && { | ||
7147 | test -z "$ac_c_werror_flag" || | ||
7148 | test ! -s conftest.err | ||
7149 | } && test -s conftest.$ac_objext; then | ||
7150 | ac_cv_use_security_session_api="yes" | ||
7151 | |||
7152 | cat >>confdefs.h <<\_ACEOF | ||
7153 | #define USE_SECURITY_SESSION_API 1 | ||
7154 | _ACEOF | ||
7155 | |||
7156 | LIBS="$LIBS -framework Security" | ||
7157 | { echo "$as_me:$LINENO: result: yes" >&5 | ||
7158 | echo "${ECHO_T}yes" >&6; } | ||
7159 | else | ||
7160 | echo "$as_me: failed program was:" >&5 | ||
7161 | sed 's/^/| /' conftest.$ac_ext >&5 | ||
7162 | |||
7163 | ac_cv_use_security_session_api="no" | ||
7164 | { echo "$as_me:$LINENO: result: no" >&5 | ||
7165 | echo "${ECHO_T}no" >&6; } | ||
7166 | fi | ||
7167 | |||
7168 | rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext | ||
7169 | { echo "$as_me:$LINENO: checking if we have an in-memory credentials cache" >&5 | ||
7170 | echo $ECHO_N "checking if we have an in-memory credentials cache... $ECHO_C" >&6; } | ||
7171 | cat >conftest.$ac_ext <<_ACEOF | ||
7172 | /* confdefs.h. */ | ||
7173 | _ACEOF | ||
7174 | cat confdefs.h >>conftest.$ac_ext | ||
7175 | cat >>conftest.$ac_ext <<_ACEOF | ||
7176 | /* end confdefs.h. */ | ||
7177 | #include <Kerberos/Kerberos.h> | ||
7178 | int | ||
7179 | main () | ||
7180 | { | ||
7181 | cc_context_t c; | ||
7182 | (void) cc_initialize (&c, 0, NULL, NULL); | ||
7183 | ; | ||
7184 | return 0; | ||
7185 | } | ||
7186 | _ACEOF | ||
7187 | rm -f conftest.$ac_objext | ||
7188 | if { (ac_try="$ac_compile" | ||
7189 | case "(($ac_try" in | ||
7190 | *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; | ||
7191 | *) ac_try_echo=$ac_try;; | ||
7192 | esac | ||
7193 | eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 | ||
7194 | (eval "$ac_compile") 2>conftest.er1 | ||
7195 | ac_status=$? | ||
7196 | grep -v '^ *+' conftest.er1 >conftest.err | ||
7197 | rm -f conftest.er1 | ||
7198 | cat conftest.err >&5 | ||
7199 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
7200 | (exit $ac_status); } && { | ||
7201 | test -z "$ac_c_werror_flag" || | ||
7202 | test ! -s conftest.err | ||
7203 | } && test -s conftest.$ac_objext; then | ||
7204 | |||
7205 | cat >>confdefs.h <<\_ACEOF | ||
7206 | #define USE_CCAPI 1 | ||
7207 | _ACEOF | ||
7208 | |||
7209 | LIBS="$LIBS -framework Security" | ||
7210 | { echo "$as_me:$LINENO: result: yes" >&5 | ||
7211 | echo "${ECHO_T}yes" >&6; } | ||
7212 | if test "x$ac_cv_use_security_session_api" = "xno"; then | ||
7213 | { { echo "$as_me:$LINENO: error: *** Need a security framework to use the credentials cache API ***" >&5 | ||
7214 | echo "$as_me: error: *** Need a security framework to use the credentials cache API ***" >&2;} | ||
7215 | { (exit 1); exit 1; }; } | ||
7216 | fi | ||
7217 | else | ||
7218 | echo "$as_me: failed program was:" >&5 | ||
7219 | sed 's/^/| /' conftest.$ac_ext >&5 | ||
7220 | |||
7221 | { echo "$as_me:$LINENO: result: no" >&5 | ||
7222 | echo "${ECHO_T}no" >&6; } | ||
7223 | |||
7224 | fi | ||
7225 | |||
7226 | rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext | ||
7227 | ;; | ||
7117 | *-*-dragonfly*) | 7228 | *-*-dragonfly*) |
7118 | SSHDLIBS="$SSHDLIBS -lcrypt" | 7229 | SSHDLIBS="$SSHDLIBS -lcrypt" |
7119 | ;; | 7230 | ;; |
@@ -7427,6 +7538,31 @@ _ACEOF | |||
7427 | _ACEOF | 7538 | _ACEOF |
7428 | 7539 | ||
7429 | ;; | 7540 | ;; |
7541 | *-*-k*bsd*-gnu) | ||
7542 | check_for_libcrypt_later=1 | ||
7543 | cat >>confdefs.h <<\_ACEOF | ||
7544 | #define PAM_TTY_KLUDGE 1 | ||
7545 | _ACEOF | ||
7546 | |||
7547 | cat >>confdefs.h <<\_ACEOF | ||
7548 | #define LOCKED_PASSWD_PREFIX "!" | ||
7549 | _ACEOF | ||
7550 | |||
7551 | cat >>confdefs.h <<\_ACEOF | ||
7552 | #define SPT_TYPE SPT_REUSEARGV | ||
7553 | _ACEOF | ||
7554 | |||
7555 | |||
7556 | cat >>confdefs.h <<\_ACEOF | ||
7557 | #define _PATH_BTMP "/var/log/btmp" | ||
7558 | _ACEOF | ||
7559 | |||
7560 | |||
7561 | cat >>confdefs.h <<\_ACEOF | ||
7562 | #define USE_BTMP 1 | ||
7563 | _ACEOF | ||
7564 | |||
7565 | ;; | ||
7430 | *-*-linux*) | 7566 | *-*-linux*) |
7431 | no_dev_ptmx=1 | 7567 | no_dev_ptmx=1 |
7432 | check_for_libcrypt_later=1 | 7568 | check_for_libcrypt_later=1 |